Package com.ocient.cli.extract

# Enum Class ExtractConfiguration.HeaderMode

java.lang.Object
java.lang.Enum<ExtractConfiguration.HeaderMode>
com.ocient.cli.extract.ExtractConfiguration.HeaderMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtractConfiguration.HeaderMode>`, `Constable`

Enclosing class:
  ExtractConfiguration

public static enum ExtractConfiguration.HeaderMode extends Enum<ExtractConfiguration.HeaderMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_FILES`
Header row is included in every file
`FIRST_FILE`
When used in conjunction with `max_rows_per_file`, the number of records included in the first file is reduced by one so that all files include the same number of rows (with the exception of the last file which may have fewer rows)
`NONE`
No header headers

## Method Summary

Modifier and Type
Method
Description
`static ExtractConfiguration.HeaderMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExtractConfiguration.HeaderMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ExtractConfiguration.HeaderMode NONE
No header headers

### FIRST_FILE

public static final ExtractConfiguration.HeaderMode FIRST_FILE
When used in conjunction with `max_rows_per_file`, the number of records included in the first file is reduced by one so that all files include the same number of rows (with the exception of the last file which may have fewer rows)

### ALL_FILES

public static final ExtractConfiguration.HeaderMode ALL_FILES
Header row is included in every file

## Method Details

### values

public static ExtractConfiguration.HeaderMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExtractConfiguration.HeaderMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null